import { Popover, Tag } from "antd";
import Barcode from "react-barcode";
import { useTranslation } from "react-i18next";

export default function BarcodePopupComponent({ value, children }) {
  const { t } = useTranslation();
  return (
    <div>
      <Popover content={<Barcode value={value || ""} background="transparent" displayValue={false} />}>
        {children ? children : <Tag>{t("general.labels.barcode")}</Tag>}
      </Popover>
    </div>
  );
}
